Bug 190631 - sata_nv time outs under i686
sata_nv time outs under i686
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 00:02 EDT by Dan Carpenter
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 08:35:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for reference (18.89 KB, text/plain)
2006-05-04 00:02 EDT, Dan Carpenter
no flags Details
/proc/interrupts with 32 bit software (994 bytes, text/plain)
2006-05-04 00:04 EDT, Dan Carpenter
no flags Details
/proc/interrupts with 64 bit software (930 bytes, text/plain)
2006-05-04 00:05 EDT, Dan Carpenter
no flags Details

  None (edit)
Description Dan Carpenter 2006-05-04 00:02:43 EDT
Description of problem:  I've got 4 drives in my system.  When I type:
`mkfs.ext3 /dev/sda1 & mkfs.ext3 /dev/sdb1 & mkfs.ext3 /dev/sdc1` I get these
errors like "ata1: command 0x35 timeout, stat 0x50 host_stat 0x24".

This is a 64 bit system but I'm running with the 32 bit RHEL3u7 installed.
With the 64 bit software I don't get any errors.
Under RHEL4u2 I don't get any errors.
This is an nvidia based motherboard.

Version-Release number of selected component (if applicable):  2.4.21-40.ELsmp


How reproducible:  100%


Steps to Reproduce:
1.  Install 32 bit RHEL 3u7
2.  Run 3 mkfs.ext3 commands in parralel (or bonnie++).
3.
  
Actual results:
ata1: command 0x35 timeout, stat 0x50 host_stat 0x24

Expected results:
No errors.

Additional info:
Under i686 when I type `cat /proc/interrupts` it says they are all IO-APIC-edge
but with the 64 bit software they are IO-APIC-level.
Comment 1 Dan Carpenter 2006-05-04 00:02:44 EDT
Created attachment 128575 [details]
dmesg for reference
Comment 2 Dan Carpenter 2006-05-04 00:04:52 EDT
Created attachment 128576 [details]
/proc/interrupts with 32 bit software
Comment 3 Dan Carpenter 2006-05-04 00:05:52 EDT
Created attachment 128577 [details]
/proc/interrupts with 64 bit software
Comment 4 Ernie Petrides 2006-05-04 13:38:28 EDT
RHEL3 is now closed.
Comment 5 Prarit Bhargava 2007-09-13 08:35:39 EDT
Closing re: comment #4.

P.

Note You need to log in before you can comment on or make changes to this bug.